# Class ChartSettings

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents the configuration settings used to control the appearance and behavior of a chart.

    public class ChartSettings

Inheritance
  object
  ChartSettings

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### ChartGrowPriority

    public decimal? ChartGrowPriority { get; set; }

#### Property Value

decimal?

### LegendGrowPriority

    public decimal? LegendGrowPriority { get; set; }

#### Property Value

decimal?

### LegendLayoutConfig

    public LegendLayoutConfig? LegendLayoutConfig { get; set; }

#### Property Value

LegendLayoutConfig